Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class UIDefaults.LazyInputMap

    java.lang.Object
      |
      +--javax.swing.UIDefaults.LazyInputMap

All Implemented Interfaces:
  UIDefaults.LazyValue

Enclosing class:
  UIDefaults

public static class UIDefaults.LazyInputMap
extends Object
implements UIDefaults.LazyValue

`LazyInputMap` will create a `InputMap` in its `createValue` method. The bindings are passed in in the constructor. The bindings are an array with the even number entries being string `KeyStrokes` (eg "alt SPACE") and the odd number entries being the value to use in the `InputMap` (and the key in the `ActionMap`).

Constructor Summary
`UIDefaults.LazyInputMap(Object[] bindings)`

Method Summary
`Object` | `createValue(UIDefaults table)` Creates an `InputMap` with the bindings that are passed in.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIDefaults.LazyInputMap

    public UIDefaults.LazyInputMap(Object[] bindings)

Method Detail

### createValue

    public Object createValue(UIDefaults table)

  Creates an `InputMap` with the bindings that are passed in.

  Specified by:
    `createValue` in interface `UIDefaults.LazyValue`
  Parameters:
    `table` - a `UIDefaults` table
  Returns:
    the `InputMap`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.